// CALC.CPP
//
// This program emulates a calculator with +, -, *, and / operations.
//
// Author: T.I. Childs

#include <iostream.h>

void main()

{
    char op;          // operation sign
    double x, y;      // operands

    cout << "Enter operand1 operation (+ - * /) operand2, e.g. 1+2\n"
         << "  (or '0q' to quit)\n\n";

    for (;;) {        // Repeat the "for" loop until break 
        cout << "Next: ";
        cin >> x;
        cin >> op;
        if (op == 'q')
            break;                 // break from for(;;)
        cin >> y;

        switch (op) {

          case '+':
            cout << "= " << x + y << endl;
            break;

          case '-':
            cout << "= " << x - y << endl;
            break;

          case '*':
            cout << "= " << x * y << endl;
            break;

          case '/':
          case ':':
            if (y == 0.) {
                cout << "*** Division by zero ***\n";
                break;               // Break out from the switch.
            }

            cout << "= " << x / y << endl;
            break;

          default:
            cout << "*** Invalid operation ***\n";
            break;
        }
    }
}

 
