// ENCRYPT.CPP
//
//  This program encrypts a text file using a substuitute cypher.

#include <fstream.h>
#include <ctype.h>

// A lookup table for writing encoded messages, e.g.
static char lookup[] = "qwertyuiopasdfghjklzxcvbnm";

char Encode(char c)

// Translates c through the lookup table. Changes only letters
//   and preserves the upper and lower case.

{
    char newC = c;
    char lowC = tolower(c);

    if (lowC >= 'a' && lowC <= 'z') {
        int i = lowC - 'a';
        newC = lookup[i];
        if (isupper(c)) newC = toupper(newC);
    }

    return newC;
}

//****************************************************************

void main()

{
    char inpFileName[60], outpFileName[60];
    char c;

    cout << "Input file: ";
    cin >> inpFileName;
    ifstream inp(inpFileName);
    if (!inp) {
        cout << "Can't open " << inpFileName << endl;
        return;
    }

    cout << "Output file: ";
    cin >> outpFileName;
    ofstream outp(outpFileName);
    if (!outp) {
        cout << "Can't open " << outpFileName << endl;
        return;
    }

    while (inp.get(c))
        outp.put(Encode(c));
}

