//  Prints a file, splitting the lines that are longer than
//    LINELENGTH.

#include <fstream.h>   // Includes <iostream.h>

const int LINELENGTH = 30;  // 30 characters per line

void main()

{
    char filename[40];
    char line[LINELENGTH+1];   // +1 for the terminating null

    cout << "File name: ";
    cin >> filename;           // Read one word into filename.

    ifstream f1(filename);     // Open file for reading
    if (!f1) {
        cout << "Cannot open " << filename << ".\n";
        return;
    }

    // Read lines while available (until the end of file).
    while (f1.getline(line, LINELENGTH+1)) {
        cout << line << endl;
    }

    cout << "*** END OF FILE ***\n";
}
