#include <iostream.h>
#include <iomanip.h>

struct DATE {
    int month;
    int day;
    int year;
};

ostream &operator<< (ostream &outp, const DATE &date)

// Usage:
//   outp << date;
// Prints the date as mm-dd-yyyy.
// (Requires <iostream.h> and <iomanip.h>.)

{
    outp << setfill('0')                 // Show leading zeroes
         << setw(2) << date.month << '-'
         << setw(2) << date.day   << '-'
         << setw(4) << date.year
         << setfill(' ');                // Reset the leading char
                                         //   back to space.
    return outp;
}

//****************************************************************

void main()

{
    DATE date = {6, 1, 2001};

    cout << date << endl;
}
